0.000044  2016-04-30 13:56:25-07:00 America/Los_Angeles

    - Remove things that should nto have been backported from Test-Simple merger

0.000043  2016-04-30 05:21:51-07:00 America/Los_Angeles

    - Better error messages when using Carp in Hashbase init()
    - Document 2 methods on Events
    - Fix #17 (typo fix in docs)

0.000042  2016-04-15 13:17:21-07:00 America/Los_Angeles

    - Let TAP render generic events
    - Add the no_display method to the Event API
    - Improve T2_FORMATTER parsing

0.000041  2016-04-13 20:21:38-07:00 America/Los_Angeles

    - Do not use custom formatter in sensitive tests

0.000040  2016-04-05 11:09:52-07:00 America/Los_Angeles

    - Track subtest info inside subtest events

0.000039  2016-04-04 21:32:08-07:00 America/Los_Angeles

    - Formatters can pick buffered subtest behavior
    - Add sets_plan() method to event base class
    - Add diagnostics() method to event base class

0.000038  2016-04-03 15:41:39-07:00 America/Los_Angeles

    - Add summary() method to event base class

0.000037  2016-04-01 08:41:22-07:00 America/Los_Angeles

    - Change Formatter to load Test2::API on demand
    - Add test to insure Test2::API is not loaded by some modules

0.000036  2016-03-28 11:44:53-07:00 America/Los_Angeles

    - Do not warn if unimportant INIT block cannot be run
    - Change how TAP duplicates IO handles, use 3 arg form of open

0.000035  2016-03-25 09:41:46-07:00 America/Los_Angeles (TRIAL RELEASE)

    - More fixes for #16
    - Add some END block manipulation for #16
    - Turn off depth checking on older perls (for #16)

0.000034  2016-03-24 10:32:57-07:00 America/Los_Angeles (TRIAL RELEASE)

    - Fix depth bug introduced in the last trial

0.000033  2016-03-24 08:39:51-07:00 America/Los_Angeles (TRIAL RELEASE)

    - Better fox for #16 (workaround for caller() in END bug)
    - Put test for #16 in regular testing dir as new fix is more stable

0.000032  2016-03-23 23:54:40-07:00 America/Los_Angeles (TRIAL RELEASE)

    - Fix #16 (workaround for caller() in END bug)

0.000031  2016-03-20 13:45:43-07:00 America/Los_Angeles

    - Regenerate README files
    - Apply spelling fixes (aquire->acquire) #11
    - Improve error message for missing hubs #12

0.000030  2016-03-15 08:04:21-07:00 America/Los_Angeles

    - Re-Add transition document

0.000029  2016-03-09 10:04:19-08:00 America/Los_Angeles

    - Add pid to Files driver temp dir name

0.000028  2016-03-09 09:03:26-08:00 America/Los_Angeles

    - Environment var to control IPC::Driver::Files temp dir templates

0.000027  2016-03-07 12:16:34-08:00 America/Los_Angeles

    - Ability to disable skip_all subtest abort construct

0.000026  2016-03-06 20:15:19-08:00 America/Los_Angeles

    - Version number in all modules (autarch)
    - Fix rare/minor Race condition in Files IPC driver
    - skip-all plan is not global anymore (never should have been)
    - skip-all properly aborts in child proc/thread
    - don't override defined but falsy pid/rid in traces

0.000025  2016-02-02 12:08:32-08:00 America/Los_Angeles

    - Fix occasional warning in cleanup

0.000024  2016-01-29 21:16:56-08:00 America/Los_Angeles

    - Add no_context() (needed for external tool)

0.000023  2016-01-28 20:34:09-08:00 America/Los_Angeles

    - Add context_do()
    - Add context_aquire hooks
    - Documentation updates
    - Typo fixes (thanks rjbs)
    - Minor enhancement to test tools

0.000022  2016-01-18 11:58:40-08:00 America/Los_Angeles

    - Fix test that broke in the last release (oops)

0.000021  2016-01-18 10:54:54-08:00 America/Los_Angeles

    - Fix bug where default diagnostics were not shown for subtests.

0.000020  2016-01-14 21:52:43-08:00 America/Los_Angeles

    - Change how contexts are stacked
    - More/better messages when contexts are abused
    - better handling of $@, $!, and $?
    - Add pre_filter and pre_unfilter to Hubs

0.000019  2016-01-12 16:08:11-08:00 America/Los_Angeles

    - Make third-party meta-data interface consistent.

0.000018  2016-01-12 05:53:29-08:00 America/Los_Angeles

    - Better solution to the $?, $!, and $@ problem
    - error vars are stored/restored by the context

0.000017  2016-01-11 16:33:55-08:00 America/Los_Angeles

    - Fix $! squashing

0.000016  2016-01-10 11:54:57-08:00 America/Los_Angeles

    - Better encapsulation of API::Instance
    - API methods to get lists of hooks
    - Minor fixes to IPC shm logic
    - Preload event types when API is loaded
    - Added IPC acceptance tests

0.000015  2016-01-07 19:26:58-08:00 America/Los_Angeles

    - Make it possible to use a custom new() with HashBase

0.000014  2016-01-07 07:31:23-08:00 America/Los_Angeles

    - Silence a warning in older perls (warning breaks Test-Simple tests)

0.000013  2016-01-06 11:12:21-08:00 America/Los_Angeles

    - Remove diag from inside todo (separation of concerns, less TAP influence)
    - Remove internal TODO tracking (not needed, less TAP influence)
    - Make context less magic (Follwing advice from Graham Knop and RJBS)
    - Remove State.pm (part of Hub.pm again, no longer needs to be separate)
    - Make it possible to subclass the TAP formatter
    - Minor optimization in Event->meta
    - Better messaging if subtest plan is wrong
    - HashBase in subclass will not override accessors from parent (Graham Knop)
    - TAP formatter doc updates
    - Optimizations for Hub->process and TAP->Write
    - IPC File-Driver Optimizations
    - IPC use SHM when possible to notify about pending events

0.000012  2015-12-29 12:59:26-08:00 America/Los_Angeles

    - Restructure file layout
    - Document namespaces
    - Combine Global and API into a single module

0.000011  2015-12-28 13:09:38-08:00 America/Los_Angeles

    - Fix TAP output to match what Test::More produced

0.000010  2015-12-21 13:13:33-08:00 America/Los_Angeles

    - Rename Test2.pm to Test2/API.pm.
    - Turn Global.pm into and exporter.

0.000009  2015-12-21 10:13:18-08:00 America/Los_Angeles

    - Fix typo in Test2::Event

0.000008  2015-12-21 09:54:58-08:00 America/Los_Angeles

    - Bring back 'release' export of Test2.

0.000007  2015-12-20 12:09:04-08:00 America/Los_Angeles

    - Fix version number string
    - Fix typo

0.000006  2015-12-15 20:30:46-08:00 America/Los_Angeles

    - Port 00-report.t from old form
    - Prevent TAP from killing $!
    - Fix Instance.t
    - Typo fix
    - Comment Contex.pm better, fix minor bug
    - Better error in Trace.pm constructor
    - Test2.pm, comments, and do not use try
    - Improve try, remove protect
    - Remove unused imports
    - Fix profling scripts
    - Improve HashBase
    - IPC improvements
    - Doc fix

0.000005  2015-12-14 20:21:34-08:00 America/Los_Angeles

    - Pull out guts into Test2 namespace
    - Restructure module paths
    - Simplify HashBase
    - Combine Util and Capabilities
    - Update Profiling scripts
    - Rename DebugInfo to Trace
    - Rename SyncObj to Global/Instance
    - Slim down Util.pm
    - Stop using Test::Stream::Exporter
    - Reduce complexity of Capabilities checker
    - Use event todo instead of debuginfo todo
    - Add 'todo' fields for Diag and Ok events
    - Break out Skip into an event type
    - Add event registration to TAP formatter
    - Move to_tap logic into formatter

Test-Stream 1.302026  2015-11-09 14:34:30-08:00 America/Los_Angeles

    - No functional changes since the last trial
    - Doc fix (fixes #52)
    - Doc fix (fixes #55)
    - Doc fix in Classic bundle
    - Doc fixes for FromTestBuilder

Test-Stream 1.302025  2015-11-06 16:33:06-08:00 America/Los_Angeles (TRIAL RELEASE)

    - Add back cmp_ok in Core plugin
    - Add Classic plugin for legacy is/like/is_deeply/etc
    - Make docs recommend people moving from Test::More use -Classic

Test-Stream 1.302024  2015-11-04 11:15:14-08:00 America/Los_Angeles

    - Add missing undef compare test

Test-Stream 1.302023  2015-11-04 00:12:49-08:00 America/Los_Angeles (TRIAL RELEASE)

    - String and Number comparisons no longer allow undef (backwords incompatible change, sorry)
    - Doc spelling fixes (Evan Zacks)
    - Add Undef type in deep check
    - Fix docs for buffered subtests (Noticed by Magnolia.K)

Test-Stream 1.302022  2015-11-03 09:43:39-08:00 America/Los_Angeles

    - Change Delta.pm to use a grep instead of a map (minor change)
    - Fix scalar-ref comparison for overloaded scalar refs (#50)

Test-Stream 1.302021  2015-10-31 08:15:22-07:00 America/Los_Angeles

    - Remove all number vs string guessing
    - Doc fixes (thanks Magnolia.K)
    - Add details to test report

Test-Stream 1.302020  2015-10-29 08:02:25-07:00 America/Los_Angeles

    - No changes, just removing trial

Test-Stream 1.302019  2015-10-28 22:32:06-07:00 America/Los_Angeles (TRIAL RELEASE)

    - Declare Test::Stream experimental phase complete
    - Updated Readme
    - Add tooling manual page
    - Better Trace::Mask behavior
    - Added Components manual page
    - Remove or modify experimental notice
    - Remove stray debugging statements
    - Slight change in module list in t/00-report.t

Test-Stream 1.302018  2015-10-26 16:47:45-07:00 America/Los_Angeles

    - Better stack traces in spec
    - Remove duplicate module from the report
    - Rename subs in try {} and protect {}
    - Fix loop in SkipWithout
    - Fix Typo in Context pod

Test-Stream 1.302017  2015-10-15 21:32:50-07:00 America/Los_Angeles

    - Change minimum module versions (they were wrong)
    - Typo fixes in Test::Stream docs
    - Remove unused variable
    - Fix Compare line number bug

Test-Stream 1.302016  2015-10-12 18:49:35-07:00 America/Los_Angeles

    - Workflows/Spec: Argument tolerence, custom line numbers
    - Remove Block.pm
    - Add sub_info and sub_name to Util.pm
    - Workflows: Set sub name if possible (better debugging)
    - Add "Test" that prints deps and versions
    - Add 'class', 'skip_without', and 'srand' to Test::Stream as options
    - Even Core deps now listed in dist.ini
    - Add some missing docs and tests to Util.pm

Test-Stream 1.302015  2015-10-04 13:46:56-07:00 America/Los_Angeles

    - Remove spec isolation logic, this can be an external plugin

Test-Stream 1.302014  2015-10-03 20:30:14-07:00 America/Los_Angeles

    - Another Delta.t fix

Test-Stream 1.302013  2015-10-02 21:51:45-07:00 America/Los_Angeles

    - Fix Util.t for some Term::ReadKey versions

Test-Stream 1.302012  2015-10-01 15:42:27-07:00 America/Los_Angeles

    - Remove reservations file
    - Documentation updates (add missing docs)
    - Fix output handle in subtest diagnostics
    - Better subtest diagnostics
    - Whitespace fixes
    - Better error handling in threads in the workflows
    - Better support real fork vs pseudo fork

Test-Stream 1.302011  2015-09-30 21:05:57-07:00 America/Los_Angeles

    - Documentation updates, typo fixes
    - Be safer, and less verbose, when detecting term size
    - Fix isolation in the spec plugin in windows
    - Skip sync test on windows (temporary measure)
    - Skip the hub.t fork check on windows (temporary measure)
    - Add some debugging to CanThread
    - Fix global event handling on platforms that do not use '/' for path
    - Fix Delta.t on systems with large memory addresses

Test-Stream 1.302010  2015-09-29 22:23:28-07:00 America/Los_Angeles

    - Add spec plugin (with basic workflows modules)
    - Switch to plugin architecture, Test::Stream is just a loader
    - Add plugins (many of these were non-plugins before)
        AuthorTest          BailOnFail          Capabilities
        Capture             Class               Compare
        Context             Core                Defer
        DieOnFail           Exception           ExitSummary
        Grab                IPC                 Intercept
        LoadPlugin          Mock                SRand
        SkipWithout         Spec                Subtest
        TAP                 UTF8                Warnings
    - CanFork is now a plugin
    - CanThread is now a plugin
    - Subtest stack fallback fix
    - Better Compare library
    - Documentation is fleshed out and mostly complete
    - Unit testing coverage is now satisfactory
    - Better detection of broken threads on 5.10.0
    - Ability to set/change encoding
    - is_deeply() is now combined into is()
    - mostly_like() and like() are combined
    - DeepCheck library removed in favor of Compare library
    - deep checks now render a table
    - Test directory restructuring
    - Mocking library
    - Workflow library
    - Fix typos
    - Fix a GC destruction issue (b3a96db)

Test-Stream 1.302009  2015-07-03 21:16:08-07:00 America/Los_Angeles

    - Fix MANIFEST.SKIP so tests are not skipped
    - Change import aliasing syntax to match prior art
    - Fix bug in does_ok
    - Documentation updates

Test-Stream 1.302008  2015-06-27 15:21:55-07:00 America/Los_Angeles

    - Fix 2 bugs with threading on 5.8.x
    - Fix a diag rendering bug with subtests

Test-Stream 1.302007  2015-06-24 08:03:38-07:00 America/Los_Angeles

    - Add CanThread and CanFork libraries
    - Remove prefix when subtests are buffered
    - Fix bug where Exporter might remove other tools exports
    - Fix bug in unmunge and unlisten
    - Add helper for specifying a context in which to run
    - Add causes_fail method for events
    - Fix rendering bug in subtest diags
    - Fix bug where IPC abort would fail to set exit code
    - Remove XS support code
    - Fix bug when threads are auto-joined

Test-Stream 1.302006  2015-06-18 09:53:04-07:00 America/Los_Angeles

    - MANIFEST.SKIP fix
    - Remove files accidentally included in the last dist

Test-Stream 1.302005  2015-06-18 09:37:38-07:00 America/Los_Angeles

    - Remove broken test script

Test-Stream 1.302004  2015-06-17 08:32:31-07:00 America/Los_Angeles

    - Add Support for XS
    - Improve release_pp with refcount from internals

Test-Stream 1.302003  2015-06-06 21:44:42-07:00 America/Los_Angeles

    - Documentation added
    - Make IPC::Files safe in cleanup

Test-Stream 1.302002  2015-06-06 14:06:57-07:00 America/Los_Angeles

    - Fix Win32 support

Test-Stream 1.302001  2015-06-05 22:40:57-07:00 America/Los_Angeles

    - Initial Version
